#include <ESP8266WiFi.h>
#include <ESP8266WebServer.h>

const char* ssid = "nom_du_reseau_wifi";
const char* password = "mot_de_passe_du_wifi";

ESP8266WebServer server(80);

void handleRoot() {
  String html = "<html><body><h1>Love BOX de Juliette</h1>"
                "<form action=\"/submit\" method=\"GET\">"
                "Message: <input type=\"text\" name=\"msg\"><br>"
                "<input type=\"submit\" value=\"Envoyer\">"
                "</form></body></html>";
  server.send(200, "text/html", html);
}

void handleSubmit() {
  if (server.hasArg("msg")) {
    String message = server.arg("msg");
    Serial.println(message);
  }
  server.sendHeader("Location", "/");
  server.send(303);
}

void setup() {
  Serial.begin(115200);
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED) {
    Serial.println("Connexion en cours");
    delay(1000);
  }
  Serial.println("Connected to WiFi");
  Serial.print("IP Address:");
  Serial.println(WiFi.localIP());

  server.on("/", handleRoot);
  server.on("/submit", handleSubmit);
  server.begin();
}

void loop() {
  server.handleClient();
}


